Subject: Re: Changled submodule cannot be "git added"

From: Nico -telmich- Schottelius <[email-masked]>
Date: Tue, 15 Jun 2010 09:37:20 +0200

Nico -telmich- Schottelius [Tue, Jun 15, 2010 at 09:25:14AM +0200]:
> And another interesting behaviour of git with submodules:
> 
> --------------------------------------------------------------------------------
> % git status
> #       modified:   modules/tftpd_hpa (modified content)

Ok, found out that I changed stuff within modules/tftpd_hpa, instead of
merging from the source.

Imho the git status output is a bit misleading, as I assume that
I can git add stuff that's modified.

Perhaps git add should print a warning / error if I try to add the
changed submodule and not silently ignore it.

Regarding the other problem

> - Why does git checkout not remove modules/ethz_systems_private/,
>   when switching from the master to the private branch?
>   (the module is only registered in the private branch)

I'm still not sure what's the reason for that.

Nico

-- 
New PGP key: 7ED9 F7D3 6B10 81D7 0EC5  5C09 D7DC C8E4 3187 7DF0
Please resign, if you signed 9885188C or 8D0E27A4.

Currently moving *.schottelius.org to http://www.nico.schottelius.org/ ...